aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/common/macos/homebrew.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/common/macos/homebrew.sh')
-rwxr-xr-xcoin/provisioning/common/macos/homebrew.sh24
1 files changed, 21 insertions, 3 deletions
diff --git a/coin/provisioning/common/macos/homebrew.sh b/coin/provisioning/common/macos/homebrew.sh
index a6efe123..66463c44 100755
--- a/coin/provisioning/common/macos/homebrew.sh
+++ b/coin/provisioning/common/macos/homebrew.sh
@@ -1,3 +1,21 @@
-#!/usr/bin/env bash
-# Will install homebrew package manager for macOS
-/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" </dev/null
+#!/bin/sh
+
+
+# Will install homebrew package manager for macOS.
+# WARNING: Requires commandlinetools
+
+
+set -e
+
+. "$(dirname "$0")"/../../common/unix/DownloadURL.sh
+
+
+DownloadURL \
+ http://ci-files01-hki.intra.qt.io/input/mac/homebrew-install.c744a716f9845988d01e6e238eee7117b8c366c9.rb \
+ https://raw.githubusercontent.com/Homebrew/install/c744a716f9845988d01e6e238eee7117b8c366c9/install \
+ b9782cc0b550229de77b429b56ffce04157e60486ab9df00461ccf3dad565b0a \
+ /tmp/homebrew_install
+/usr/bin/ruby /tmp/homebrew_install </dev/null
+
+# No need to manually do `brew update`, the homebrew installer script does it.
+### brew update